-- Vhdl model created from schematic core.sch - Thu Sep 12 16:08:21 2002

LIBRARY ieee;
LIBRARY UNISIM;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;
USE UNISIM.Vcomponents.ALL;

ENTITY core IS
   PORT ( clk25	:	IN	STD_LOGIC; 
          clk48	:	IN	STD_LOGIC; 
          col	:	IN	STD_LOGIC_VECTOR (9 DOWNTO 0); 
          hblk	:	IN	STD_LOGIC; 
          pb	:	IN	STD_LOGIC_VECTOR (7 DOWNTO 0); 
          row	:	IN	STD_LOGIC_VECTOR (9 DOWNTO 0); 
          rst	:	IN	STD_LOGIC; 
          rx0	:	IN	STD_LOGIC; 
          rxd	:	IN	STD_LOGIC; 
          sw	:	IN	STD_LOGIC_VECTOR (7 DOWNTO 0); 
          vblk	:	IN	STD_LOGIC; 
          b	:	OUT	STD_LOGIC; 
          disp	:	OUT	STD_LOGIC_VECTOR (15 DOWNTO 0); 
          g	:	OUT	STD_LOGIC; 
          i	:	OUT	STD_LOGIC; 
          led	:	OUT	STD_LOGIC_VECTOR (7 DOWNTO 0); 
          r	:	OUT	STD_LOGIC; 
          tx0	:	OUT	STD_LOGIC; 
          txd	:	OUT	STD_LOGIC; 
          txoe	:	OUT	STD_LOGIC);

end core;

ARCHITECTURE SCHEMATIC OF core IS

   ATTRIBUTE fpga_dont_touch : STRING ;
   ATTRIBUTE fpga_dont_touch OF XLXI_25 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_24 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_23 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_15 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_16 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_17 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_18 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_19 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_20 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_21 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_22 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_29 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_30 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_31 : LABEL IS "true";

   COMPONENT buf8
      PORT ( I	:	IN	STD_LOGIC_VECTOR (7 DOWNTO 0); 
             O	:	OUT	STD_LOGIC_VECTOR (7 DOWNTO 0));
   END COMPONENT;

BEGIN

   XLXI_25 : BUF
      PORT MAP (I=>rx0, O=>open);

   XLXI_24 : BUF
      PORT MAP (I=>rxd, O=>open);

   XLXI_23 : BUF
      PORT MAP (I=>vblk, O=>open);

   XLXI_15 : BUF
      PORT MAP (I=>col(7), O=>r);

   XLXI_16 : BUF
      PORT MAP (I=>col(6), O=>g);

   XLXI_17 : BUF
      PORT MAP (I=>col(5), O=>b);

   XLXI_18 : BUF
      PORT MAP (I=>row(8), O=>i);

   XLXI_19 : BUF
      PORT MAP (I=>clk48, O=>open);

   XLXI_20 : BUF
      PORT MAP (I=>clk25, O=>open);

   XLXI_21 : BUF
      PORT MAP (I=>rst, O=>open);

   XLXI_22 : BUF
      PORT MAP (I=>hblk, O=>open);

   XLXI_14 : buf8
      PORT MAP (I(7)=>pb(7), I(6)=>pb(6), I(5)=>pb(5), I(4)=>pb(4),
      I(3)=>pb(3), I(2)=>pb(2), I(1)=>pb(1), I(0)=>pb(0), O(7)=>disp(7),
      O(6)=>disp(6), O(5)=>disp(5), O(4)=>disp(4), O(3)=>disp(3),
      O(2)=>disp(2), O(1)=>disp(1), O(0)=>disp(0));

   XLXI_13 : buf8
      PORT MAP (I(7)=>sw(7), I(6)=>sw(6), I(5)=>sw(5), I(4)=>sw(4),
      I(3)=>sw(3), I(2)=>sw(2), I(1)=>sw(1), I(0)=>sw(0), O(7)=>disp(15),
      O(6)=>disp(14), O(5)=>disp(13), O(4)=>disp(12), O(3)=>disp(11),
      O(2)=>disp(10), O(1)=>disp(9), O(0)=>disp(8));

   XLXI_12 : buf8
      PORT MAP (I(7)=>sw(7), I(6)=>sw(6), I(5)=>sw(5), I(4)=>sw(4),
      I(3)=>sw(3), I(2)=>sw(2), I(1)=>sw(1), I(0)=>sw(0), O(7)=>led(7),
      O(6)=>led(6), O(5)=>led(5), O(4)=>led(4), O(3)=>led(3), O(2)=>led(2),
      O(1)=>led(1), O(0)=>led(0));

   XLXI_29 : GND
      PORT MAP (G=>txd);

   XLXI_30 : GND
      PORT MAP (G=>tx0);

   XLXI_31 : GND
      PORT MAP (G=>txoe);

END SCHEMATIC;



